Subject: Re: MT7621 SoC Traffic Won't Flow on RGMII2 Bus/2nd GMAC

From: Andrew Lunn <[email-masked]>
Date: Sun, 23 Jan 2022 16:26:56 +0100

On Sun, Jan 23, 2022 at 11:33:04AM +0300, Arınç ÜNAL wrote:
> Hey Deng,
> 
> On 23/01/2022 09:51, DENG Qingfang wrote:
> > Hi,
> > 
> > Do you set the ethernet pinmux correctly?
> > 
> > &ethernet {
> >      pinctrl-names = "default";
> >      pinctrl-0 = <&rgmii1_pins &rgmii2_pins &mdio_pins>;
> > };
> 
> This fixed it! We did have &rgmii2_pins on the gmac1 node (it was originally
> on external_phy) so we never thought to investigate the pinctrl
> configuration further! Turns out &rgmii2_pins needs to be defined on the
> ethernet node instead.

PHYs are generally external, so pinmux on them makes no sense. PHYs in
DT are not devices in the usual sense, so i don't think the driver
core will handle pinmux for them, even if you did list them.

This could be interesting for the DT compliance checker. Ideally we
want it to warn if it finds a pinmux configuration in a PHY node.

It also sounds like you had them somewhere else wrong?

     Andrew